Skip to main content

Project - Update

Purpose​

To update one or more fields of a Project which your API Credentials have access to. An internal_project_id (ie; the ID of the object on your internal system) that already exists in the Incentify database is required.

info

Most integrations use the singular Project - Create / Update endpoint for convenience. This API is necessary only if your integration requires updating only specific fields on a project.

Request​

Endpoint

PUT /project

Authentication

Include your API Key within the x-api-key header as described here.

Request Body

The request body is the same as the Project - Create / Update endpoint, however, in this endpoint you do not need to submit all the fields. You can only submit the ones you want to be updated.

Note: internal_project_id must already exist in the Incentify database and this value can not be updated once it is created.

Response​

If successful, this method returns a response body with the following structure:

Response Body

{
"code":200,
"success":1,
"data": {
Project Resource here (See "Project - Overview" page)
},
"errors": [],
"meta": {},
"links": {}
}

Properties

The following table defines the properties that appear in this resource:

KeyTypeDefinition
codeintegerHTTP Status Code (ie; 200, 403, etc).
successintegerEither 1 (success) or 0 (fail).
dataobjectProject updated is returned. The data structure of the Project is a Project Resource.
errorsobjectIf the request fails, this will contain information about the error.
metaobjectContains information about pagination and total record count.
linksobjectContains pre-built links for forward/backward pagination.